Skip to content

deployment_managed_service_resize

Increase storage size of a managed service (cannot shrink)

Tool

deployment_managed_service_resize

Increase storage size of a managed service (cannot shrink)

Increase storage size of a managed service (cannot shrink)

Behavior

HTTP
POST /deployment/managed-services/:id/resize

Arguments

Name
Type
Required
Description
id
string
•
No description in the catalog.
storageGiB
integer
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
slug
string
•
engine
string
•
status
string
•
version
string
•
createdAt
string
•
productId
string
•
updatedAt
string
•
storageGiB
number
•
backupPolicy
object
•
databaseName
string
•
lastBackupAt
string
•
environmentId
string
•
lastErrorMessage
string
•

Try it

Increase storage size of a managed service (cannot shrink).

When to use

Increase storage size of a managed service (cannot shrink)

Example

Ask your agent something like this:

Increase storage size of a managed service (cannot shrink).

The agent will invoke deployment_managed_service_resize with these arguments:

{
  "id": "<id>",
  "storageGiB": "<storageGiB>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select